//: Playground - noun: a place where people can play

import UIKit

// Definition einer Variablen
var temperatur1:Double = 32.5
print(temperatur1)

// Definition einer Variablen als Optional

var temperatur2:Double? = 32.5

if temperatur2 == nil
{
    print("Keine Messung")
}
else
{
    // Den Optional auspacken und in einen
    // regulären Double-Typen umwandeln.
    print(temperatur2!)
}

// Die Variable auf nil prüfen und mit dem
// Optional-Binding gleichzeitig eine neue
// Konstante anlegen.
if let temp = temperatur2
{
    print(temp)
}
else
{
    print("Keine Messung")
}

